#include <bits/stdc++.h>

using namespace std;

#define MaxN 200000

int f(vector<int>& a, int n) 
{
    int max1 = 0;
    for (int i = 0; i < n; i++) 
    {
        int x = 0;
        for (int j = i; j < n; j++) 
        {
            x =x^a[j];
            max1 = max(max1, x); 
        }
    }

    return max1;
}



int main()
{
    int n;
    cin>> n;
    vector<int> a(n);
    vector<int> b(n);
    for (int i=0; i<n; i++)
    {
        cin>> a[i];
    }
    for (int i=0; i<n; i++)
    {
        cin>> b[i];
    }
    cout<< f(a, n);



    return 0;
}